""" Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import logging
from util.config import config

CS_LOG_LEVEL = 'level'
CS_LOG_PATH = 'path'


def get_logger(name):
    logger_config = config.get('logging')

    logger = logging.getLogger(name)

    if not logger.hasHandlers():
        logger.setLevel(logger_config.get('level'))

        logger_handler = logging.FileHandler(logger_config.get('path'))
        logger_handler.setLevel(logging.DEBUG)

        logger_formatter = logging.Formatter(
            '%(asctime)s %(levelname)s %(module)s: %(funcName)s(): %(lineno)d: %(message)s',
            datefmt='%Y-%m-%d,%H:%M:%S'
        )
        logger_handler.setFormatter(logger_formatter)
        logger.handlers = []
        logger.addHandler(logger_handler)
    return logger
